- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QPointSize
- Qt 6.8.3 Reference Documentation

# QPointSize Class

class Qt3DRender::QPointSize

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Header: | `#include <QPointSize>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | PointSize
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | SizeMode { Fixed, Programmable }

## Properties

- sizeMode : SizeMode
- value : float

## Public Functions

Qt3DRender::QPointSize::SizeMode | sizeMode() const
float | value() const

## Public Slots

void | setSizeMode(Qt3DRender::QPointSize::SizeMode sizeMode)
void | setValue(float value)

## Signals

void | sizeModeChanged(Qt3DRender::QPointSize::SizeMode sizeMode)
void | valueChanged(float value)

## Detailed Description

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Member Type Documentation

### enum QPointSize::SizeMode

This enumeration specifies values for the size mode.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QPointSize::Fixed` | `0` | The point size is by the QPointSize::value.
`Qt3DRender::QPointSize::Programmable` | `1` | The point size value must be set in shader

## Property Documentation

### sizeMode : SizeMode

Specifies the sizeMode to be used.

Access functions:

Qt3DRender::QPointSize::SizeMode | sizeMode() const
void | setSizeMode(Qt3DRender::QPointSize::SizeMode sizeMode)

Notifier signal:

void | sizeModeChanged(Qt3DRender::QPointSize::SizeMode sizeMode)

### value : float

Specifies the point size value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)